#include "testlib.h"
using namespace std;

const int MAXS = 1000;

int main(int argc, char** argv) {
    registerTestlibCmd(argc, argv);
    
    vector<string> ja;
    vector<string> pa;

    while (!ans.seekEof()) {
        string s = ans.readString();
        ja.push_back(s);
    }

    while (!ouf.seekEof()) {
        string s = ouf.readString();
        if (s.size() > MAXS) {
            quitf(_wa, "too long partition");
        }
        string z = "";
        for (char c : s) {
            if (c != ' ') {
                z = z + c; 
            }
        }
        pa.push_back(z);
    }

    if (pa.size() != ja.size()) {
        quitf(_wa, "wrong number of lines, expected: %d, found: %d", ja.size(), pa.size());
    }

    sort(pa.begin(), pa.end());
    sort(ja.begin(), ja.end());

    for (int i = 0; i < ja.size(); i++) {
        if (pa[i] != ja[i]) {
            quitf(_wa, "wrong partitions");
        }
    }

    quitf(_ok, "%d partitions", ja.size());
}
